import request from '@/utils/request'

// 不同商品销量排行 (只显示销量前十)
export function commoditySaleStatis(query) {
  return request({
    url: '/companyStatis/companyStatis/commoditySaleStatis',
    method: 'get',
    params: query
  })
}

// 不同月份商品销量排行（当前年）
export function statisByMonth() {
	return request({
	  url: '/companyStatis/companyStatis/statisByMonth',
	  method: 'get',
	//   params: query
	})
}

// 不同出发地销量排行
export function statis4Departure(query) {
	return request({
	  url: '/companyStatis/companyStatis/statis4Departure',
	  method: 'get',
	  params: query
	})
}

// 不同类型商品销量展示
export function statis4Type(query) {
	return request({
	  url: '/companyStatis/companyStatis/statis4Type',
	  method: 'get',
	  params: query
	})
}

// bus公司销售额统计
export function statis4Bus(query) {
	return request({
	  url: '/companyStatis/companyStatis/statis4Bus',
	  method: 'get',
	  params: query
	})
}